#### D.15.16.1 makePoly

Procedure from library `polyclass.lib` (see polyclass_lib).

Usage:
  makePoly(f); f poly

Return:
  make a ring independent Poly from a poly in the basering

Example:

    LIB "polyclass.lib";
    ring R=0,(x,y),dp;
    poly f=3*x^2+x*y+1;
    Poly F = makePoly(f);
    F.in;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 2
    ==> //        block   1 : ordering dp
    ==> //                  : names    x y
    ==> //        block   2 : ordering C
    F.value;
    ==> 3x2+xy+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.